import React from "react";
import { Typography } from "@material-ui/core";
import { Pares, Impares } from "./styles";
import { useSelector } from "react-redux";

export default function (props) {
  const contrasteValue = useSelector((state) => state.contraste);
  const lista = props.list;
  const paresColor = props.paresColor;
  const paresBackgroundColor = props.paresBackgroundColor;
  const imparesColor = props.imparesColor;
  const imparesBackgroundColor = props.imparesBackgroundColor;

  return (
    <>
      {lista.map((item, index) => {
        return index % 2 === 0 ? (
          <Pares paresBackgroundColor={paresBackgroundColor} paresColor={paresColor} contraste={contrasteValue}>
            <Typography variant='body1' className='pares'>
              {item}
            </Typography>
          </Pares>
        ) : (
          <Impares imparesBackgroundColor={imparesBackgroundColor} imparesColor={imparesColor} contraste={contrasteValue}>
            <Typography variant='body1' className='impares'>
              {item}
            </Typography>
          </Impares>
        );
      })}
    </>
  );
}
