import React from 'react';
import { Box, Typography } from '@material-ui/core';
import { useSelector } from 'react-redux';

import { ContainerAttention } from './styles';

export default function (props) {
  const contrasteValue = useSelector((state) => state.contraste);
  const { children, image, title, color, border } = props;
  return (
    <ContainerAttention
      color={color}
      border={border}
      contraste={contrasteValue}
    >
      <Box className='header'>
        <img src={image} alt='' />
        <Typography component="h3" variant='h6'>{title}</Typography>
      </Box>
      <Box className='contentAttention'>
        <Box className='attentiontext'>
          <Typography variant='body1'>{children}</Typography>
        </Box>
      </Box>
    </ContainerAttention>
  );
}
