import React, { useEffect, useState } from 'react';
import { Typography, Box } from '@material-ui/core';
import { TextStyle, ContainerButtonContent } from './styles';
import { Fragment } from 'react';
import { LetterButton } from '../../theme/commonstyles';
import { useSelector } from 'react-redux';

function ButtonContent({ content }) {
  const contrasteValue = useSelector((state) => state.contraste);
  const [text, select] = useState(0);
  const [stringRead, setStringRead] = useState([]);

  useEffect(() => {
    const arrayRead = [];
    content.map((item) => {
      arrayRead.push(`Botão ${item.button}`);
      item.texts.map((content) => {
        arrayRead.push(content.title);
        content.text.props.children.map((item, index) => {
          if (index % 2 === 0) {
            arrayRead.push(item);
          }
        });
      });
    });
    setStringRead(arrayRead.toString());
  }, []);

  return (
    <ContainerButtonContent contraste={contrasteValue}>
      <Box className='table'>
        <Box className='text'>
          <TextStyle contraste={contrasteValue}>
            {content[text].texts.map((item, index) => {
              return (
                <Fragment key={index}>
                  <Typography className='noRead' variant='h6'>
                    {item.title}
                  </Typography>
                  <Typography className='noRead' variant='body1'>
                    {item.text}
                  </Typography>
                </Fragment>
              );
            })}
          </TextStyle>
        </Box>
        <Box className='buttons'>
          {content.map((item, index) => {
            return (
              <LetterButton
                key={item.button}
                contraste={contrasteValue}
                onClick={() => select(index)}
                selected={text === index}
              >
                <Typography className='noRead' variant='body1'>
                  {item.button}
                </Typography>
              </LetterButton>
            );
          })}
        </Box>
      </Box>
      <Box className='leitor'>{stringRead}</Box>
    </ContainerButtonContent>
  );
}

export default ButtonContent;
