import styled from 'styled-components';

export const ContainerButtonContent = styled.div`
  .table {
    flex-grow: 1;
    display: flex;
    flex-direction: column;

    @media (min-width: 900px) {
      flex-direction: row;
      overflow: hidden;
    }
  }

  .text {
    width: 100%;
    display: flex;
    margin-bottom: 0.5rem;
    border: ${(props) =>
      props.contraste
        ? `2px solid ${props.theme.palette.white.white}`
        : 'none'};
    border-radius: 15px;
    @media (min-width: 900px) {
      margin-bottom: 0;
      width: calc(100% * 2 / 3);
    }
  }

  .text div {
    overflow: auto;
    height: 34vh;
    flex-grow: 1;
    border-radius: 10px;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
    transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
    padding: 15px;
    text-indent: 2rem;

    @media (min-width: 900px) {
      height: 59vh;
    }

    @media (min-width: 1800px) {
      height: 64vh;
    }

    ::-webkit-scrollbar {
      width: 10px;
    }

    ::-webkit-scrollbar-track {
      border-radius: 8px;
    }

    ::-webkit-scrollbar-thumb {
      background-color: ${(props) => props.theme.palette.black.components};
      border-radius: 10px;
      border: 2px solid ${(props) => props.theme.palette.white.white};
    }

    h6,
    p {
      animation: fadeup 150ms;
    }
  }

  .buttons {
    width: 100%;
    height: 30vh;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(4, 1fr);
    grid-gap: 0.25rem;

    button {
      margin: 0;
      padding: 0.25rem;
    }

    @media (min-width: 900px) {
      grid-gap: 0.5rem;
      height: 60vh;
      width: calc(100% * 1 / 3);
      padding-left: 0.5rem;
    }

    @media (min-width: 1800px) {
      height: 65vh;
    }
  }
  .leitor {
    display: none;
  }
`;

export const TextStyle = styled.div`
  h6 {
    text-indent: 0;
    width: fit-content;
    margin: 10px 0;
    padding: 5px 10px;
    border-radius: 10px;
    background: ${(props) => props.theme.palette.white.componentsSecondary};
    color: ${(props) => props.theme.palette.black.white};
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.15), 0 5px 5px rgba(0, 0, 0, 0.15);
  }
`;
