import styled from 'styled-components';
import { FocusAcessibility } from '../../theme/commonstyles';

export const DialogStyles = styled.div`
  hr {
    height: 5px;
  }
`;

export const DialogButton = styled.button`
  ${FocusAcessibility}
  width: 60%;
  padding: 0;
  transition: 200ms ease;
  border: none;
  cursor: pointer;
  border-radius: 11px;
  @media (min-width: 900px) {
    width: 15vw;
  }
  background: transparent;
  &:hover {
    transform: scale(1.1);
  }

  &:focus {
    outline: none;
  }

  img {
    width: 100%;
  }

  ${(props) => (props.clicked ? 'filter: grayscale(100%)' : '')};
`;

export const ButtonText = styled.button`
  ${FocusAcessibility}
  background: ${(props) =>
    props.colorBackground
      ? props.colorBackground
      : props.theme.palette.white.components};
  transition: 200ms ease;
  border: none;
  padding: 1vw 2vw;
  border-radius: 15px;
  color: ${(props) => (props.colorText ? props.colorText : props.theme.palette.black.white)};
  text-transform: uppercase;
  > p {
    font-weight: bolder;
    text-indent: 0;
  }
  cursor: pointer;

  @media (max-width: 900px) {
    padding: 1rem 1.5rem;
  }

  &:hover {
    background: ${(props) =>
      props.colorBackgroundHover
        ? props.colorBackgroundHover
        : props.theme.palette.white.componentsHover};
    transform: scale(1.1);
  }

  &:focus {
    outline: none;
  }

  ${(props) => (props.clicked ? 'filter: grayscale(100%)' : '')};
`;

export const CloseButton = styled.button`
  ${FocusAcessibility}
  background: transparent;
  border: none;

  &:focus {
    outline: none;
  }

  img {
    width: 2rem;
  }
`;
