import styled from 'styled-components';
import { Box } from '@material-ui/core';

export const Footer = styled(Box)`
  padding: 0.25rem;
  background-color: ${(props) =>
    props.contraste
      ? props.theme.palette.black.bar
      : props.color
      ? props.color
      : props.theme.palette.black.bar};

  border-top: ${(props) => (props.contraste ? 'solid 1px #fff' : 'none')};
  @media (min-width: 900px) and (min-height: 900px) {
    padding: 0.5rem;
  }
  @media (max-height: 800px) and (min-width: 900px) {
    height: 2.5rem;
    overflow: hidden;
  }
  .middlebutton {
    flex-grow: 1;
    display: flex;
    justify-content: center;
  }

  .endbutton {
    flex-grow: 1;
    display: flex;
    justify-content: flex-end;
  }
  .read {
    display: none;
  }

  ${(props) =>
    props.logos
      ? `    
    margin: 0;
    padding: 0;
    height: 10vh;    
    display: flex;
    justify-content: center; 
    align-items: center;
    padding: .5rem;

    @media(min-width: 900px) {
      height: 17.5vh;
    }

    @media(min-width: 1800px) {
      height: 15vh;
    }

    img {
      width: 90%;
      height: 90%;
      object-fit: contain;
    }    
  `
      : ``}
`;

export const Label = styled.label`
  font-weight: bold;
  display: grid;
  grid-auto-flow: column;
  grid-auto-columns: min-content;
  white-space: nowrap;
  align-items: center;
  cursor: pointer;
  .text-toggle {
    color: white;
  }
`;

export const Sample = styled.div`
  padding: 16px;
`;
