import React from "react";

import {
  Container,
  StyledAppBar,
  StyledTitle,
  ZoomedImage,
  ZoomedContainer,
  StyledDialog,
  ZoomButton,
} from "./styles";
import Button from "@material-ui/core/Button";
import Dialog from "@material-ui/core/Dialog";
import ListItemText from "@material-ui/core/ListItemText";
import ListItem from "@material-ui/core/ListItem";
import List from "@material-ui/core/List";
import Divider from "@material-ui/core/Divider";
import AppBar from "@material-ui/core/AppBar";
import Toolbar from "@material-ui/core/Toolbar";
import IconButton from "@material-ui/core/IconButton";
import Typography from "@material-ui/core/Typography";
import CloseIcon from "@material-ui/icons/Close";
import { Box } from "@material-ui/core";
import Slide from "@material-ui/core/Slide";

const Transition = React.forwardRef(function Transition(props, ref) {
  return <Slide direction="up" ref={ref} {...props} />;
});

export const NewZoom = (props) => {
  const [open, setOpen] = React.useState(false);

  const handleClickOpen = () => {
    setOpen(true);
  };

  const handleClose = () => {
    setOpen(false);
  };

  const zoomWidth = props.zoomWidth;
  const zoomHeight = props.zoomHeight;
  const zoomMobileWidth = props.zoomMobileWidth;
  const zoomMobileHeight = props.zoomMobileHeight;

  return (
    <>
      <ZoomButton onClick={handleClickOpen}>
        <img
          className=""
          src={props.zoom}
          style={{ cursor: "pointer" }}
          alt={props.alt}
        />
      </ZoomButton>
      <Container>
        <StyledDialog
          fullScreen
          open={open}
          onClose={handleClose}
          TransitionComponent={Transition}
        >
          <StyledAppBar>
            <Box
              width="100%"
              display="flex"
              justifyContent="flex-end"
              alignItems="center"
            >
              <IconButton
                edge="start"
                color="inherit"
                onClick={handleClose}
                aria-label="Botão Fechar Zoom"
                tabIndex="0"
              >
                <CloseIcon />
              </IconButton>
            </Box>
          </StyledAppBar>
          <ZoomedContainer display="flex" flex="1" padding="1rem">
            <ZoomedImage
              src={props.zoom}
              zoomWidth={zoomWidth}
              zoomMobileWidth={zoomMobileWidth}
              zoomHeight={zoomHeight}
              zoomMobileHeight={zoomMobileHeight}
            />
          </ZoomedContainer>
        </StyledDialog>
      </Container>
    </>
  );
};
