import React from "react";
import { Box, Typography } from "@material-ui/core";
import { useSelector } from "react-redux";

import { CardContainer } from "./styles";

export default function (props) {
  const contrasteValue = useSelector((state) => state.contraste);
  const { image, title, text, alt } = props;

  return (
    <CardContainer image={image} contraste={contrasteValue}>
      <Box id='image'>{image ? <img src={image} alt={alt} /> : <></>}</Box>
      <Box id='text'>
        {title ? (
          <Typography variant='h5' id='title'>
            {title}
          </Typography>
        ) : (
          <></>
        )}
        {text ? <Typography variant='body1'>{text}</Typography> : <></>}
      </Box>
    </CardContainer>
  );
}
