import styled from 'styled-components';
import { Box } from '@material-ui/core';

import {
  containerstyles,
  contentstyles,
  fontstyles,
} from '../../../../theme/commonstyles';

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`;

export const Content = styled(Box)`
  img {
    max-width: 100%;
    object-fit: scale-down;
  }

  h5 {
    font-weight: bolder;
  }

  flex-grow: 1;
  display: block;
  overflow-x: hidden;
  @media (min-width: 900px) {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
  }

  ${contentstyles};

  .content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
  }

  .text {
    display: flex;
    flex-direction: column;
    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }
  .dialog {
    display: flex;
    @media (max-width: 900px) {
      > div {
        position: relative;
        left: 50%;
        transform: translateX(-30%);
      }
    }
  }
  .shaded {
    margin: 2rem 0;
  }
  .attention {
    margin-top: 2rem;
  }
  .pergunta {
    font-weight: bolder;
  }
  .alternativas {
    box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.25);
    margin-top: 1rem;
    cursor: pointer;
    padding: 10px;
    background: ${(props) => props.theme.palette.black.white};
    color: ${(props) => props.theme.palette.white.black};
  }

  .marcada {
    background: ${(props) => props.theme.palette.white.components};
    color: ${(props) => props.theme.palette.black.white};
  }
  button {
    background: ${(props) => props.theme.palette.white.components};
    color: ${(props) => props.theme.palette.black.white};
    padding: 20px 40px;
    border: none;
    margin-top: 0.5rem;
    align-self: flex-end;
    font-weight: bold;
    border-radius: 10px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
    :hover {
      transform: scale(1.1);
      box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
    }
    :disabled {
      opacity: 0.5;
    }
  }
`;
