const questions = [
  {
    description:
      'Ao longo do tempo, termos relacionados às pessoas com deficiência caíram em desuso e outros passaram a ser utilizados. De acordo com a Lei Brasileira de Inclusão da Pessoa com Deficiência (Lei n.º 13.146/2015), o termo referente aos conceitos relevantes na garantia de direitos e liberdades fundamentais de pessoas com deficiência que apresenta a correta definição é:',
    options: [
      'a) Comunicação: forma de interação dos cidadãos que abrange, entre outras opções, as línguas, inclusive a Língua Brasileira de Sinais (Libras), a visualização de textos, o Braille, o sistema de sinalização ou de comunicação tátil, os caracteres ampliados, os dispositivos multimídia, assim como a linguagem simples, escrita e oral, os sistemas auditivos e os meios de voz digitalizados e os modos, meios e formatos aumentativos e alternativos de comunicação.',
      'b)	Adaptações razoáveis: qualquer entrave, obstáculo, atitude ou comportamento que limite ou impeça a participação social da pessoa, bem como o gozo, a fruição e o exercício de seus direitos à acessibilidade, à liberdade de movimento e de expressão, à comunicação, ao acesso à informação, à compreensão, à circulação com segurança, entre outros.',
      'c)	Acessibilidade: adaptações, modificações e ajustes necessários e adequados que não acarretem ônus desproporcional e indevido, quando requeridos em cada caso, a fim de assegurar que a pessoa com deficiência possa gozar ou exercer, em igualdade de condições e oportunidades com as demais pessoas, todos os direitos e liberdades fundamentais.',
      'd)	Tecnologia Assistiva: possibilidade e condição de alcance para utilização, com segurança e autonomia, de espaços, mobiliários, equipamentos urbanos, edificações, transportes, informação e comunicação, inclusive seus sistemas e tecnologias, bem como de outros serviços e instalações abertos ao público, de uso público ou privados de uso coletivo, tanto na zona urbana como na rural, por pessoa com deficiência ou com mobilidade reduzida.',
    ],
    feedbacks: [
      'De acordo com o artigo 3º da Lei Brasileira de Inclusão, inciso V, este é o correto conceito de comunicação. As tecnologias da informação e das comunicações também estão inclusas nas formas de comunicação.',
      'No artigo 3º, inciso IV, da Lei n.º 13.146, se atribui ao termo barreira o conceito de qualquer entrave, obstáculo, atitude ou comportamento que limite ou impeça a participação social da pessoa, bem como o gozo, a fruição e o exercício de seus direitos à acessibilidade, à liberdade de movimento e de expressão, à comunicação, ao acesso à informação, à compreensão, à circulação com segurança, entre outros. As barreiras são classificadas, conforme o artigo, em urbanísticas, arquitetônicas, nos transportes, nas comunicações e na informação, atitudinais e tecnológicas.',
      'Conforme a Lei Brasileira de Inclusão, ao conceito descrito como “adaptações, modificações e ajustes necessários e adequados que não acarretem ônus desproporcional e indevido, quando requeridos em cada caso, a fim de assegurar que a pessoa com deficiência possa gozar ou exercer, em igualdade de condições e oportunidades com as demais pessoas, todos os direitos e liberdades fundamentais” é atribuído o termo Adaptações razoáveis. A recusa de adaptações razoáveis é considerada discriminação em razão da deficiência.',
      'Tecnologia assistiva são produtos, equipamentos, dispositivos, recursos, metodologias, estratégias, práticas e serviços que objetivem promover a funcionalidade, relacionada à atividade e à participação da pessoa com deficiência ou com mobilidade reduzida, visando à sua autonomia, independência, qualidade de vida e inclusão social. Ao conceito descrito se atribui o termo Acessibilidade.',
    ],
    correct: '0',
  },
  {
    description:
      'Ainda de acordo com a Lei Brasileira de Inclusão da Pessoa com Deficiência (Lei n.º 13.146/2015), importante instrumento legal de inclusão das pessoas com deficiência, diversas barreiras foram definidas de forma a facilitar a compreensão e o respeito aos direitos das pessoas com deficiência. De acordo com as barreiras enfrentadas por Mariana, o termo que está corretamente definido é:',
    options: [
      'a) Barreiras urbanísticas: qualquer obstáculo que dificulte o recebimento de mensagens e de informações por intermédio de sistemas de comunicação e de tecnologia da informação.',
      'b) Barreiras nos transportes: as barreiras existentes nas vias e nos espaços públicos e privados abertos ao público ou de uso coletivo.',
      'c) Barreiras nas comunicações e na informação: são as que dificultam ou impedem o acesso da pessoa com deficiência às tecnologias.',
      'd) Barreiras atitudinais: comportamentos que impeçam ou prejudiquem a participação social da pessoa com deficiência em igualdade de condições e oportunidades com as demais pessoas.',
    ],
    feedbacks: [
      'As barreiras nas comunicações e na informação são aquelas representadas pela definição de qualquer entrave, obstáculo, atitude ou comportamento que dificulte ou impossibilite a expressão ou o recebimento de mensagens e de informações por intermédio de sistemas de comunicação e de tecnologia da informação.',
      'As barreiras nos transportes são as existentes nos sistemas e meios de transportes.',
      'As barreiras que dificultam ou impedem o acesso da pessoa com deficiência às tecnologias são as barreiras tecnológicas.',
      'As barreiras atitudinais são representadas por meio de atitudes ou comportamentos que limitem ou impeçam a participação social da pessoa com deficiência em igualdade de condições e oportunidades com as demais pessoas. Pode ser realizada através de atitudes de piedade, desvalorização, rejeição, inferioridade, entre outros.',
    ],
    correct: '3',
  },
];

export default questions;
