import React from "react";
import { Link } from "react-router-dom";
import styled from "styled-components";
import { useSelector } from "react-redux";

const StyledReference = styled(Link)`
  color: ${(props) =>
    props.alternative
      ? props.theme.palette.white.white
      : props.theme.palette.grey.componentsHover};

  font-weight: 900;
  transition: 250ms;

  :hover {
    color: ${(props) => props.theme.palette.white.light};
  }
`;

export default function (props) {
  const contraste = useSelector((state) => state.contraste);
  const { num, onClick, color, backgroundHover, alternative } = props;

  return (
    <>
      {alternative ? (
        <StyledReference
          alternative
          contraste={contraste}
          replace
          onClick={onClick}
          color={color}
          backgroundHover={backgroundHover}
        >
          <sup>{num}</sup>
        </StyledReference>
      ) : (
        <StyledReference
          contraste={contraste}
          replace
          onClick={onClick}
          color={color}
          backgroundHover={backgroundHover}
        >
          <sup>{num}</sup>
        </StyledReference>
      )}
    </>
  );
}
