import React, { useEffect, useState } from "react";
import { Box, Typography } from "@material-ui/core";
import { Container } from "./styles";
import { useSelector } from "react-redux";

import RoundButton from "../../components/RoundButton";

export default function (props) {
  const contrasteValue = useSelector((state) => state.contraste);
  const { content } = props;
  const objectSize = content.length - 1;
  const [exibirContent, setExibirContent] = useState(0);
  const [page, setPage] = useState(0);
  const [alt, setAlt] = useState("");

  useEffect(() => {
    let conteudoAlt = "";
    content.map((item, index) => {
      if (index !== 0) {
        if (item.alt) {
          //conteudoAlt = `${conteudoAlt}. ${item.alt}`;
        }
        if (item.text) {
          //conteudoAlt = `${conteudoAlt}. ${item.text.props.children}`;
        }
      }
    });
    setAlt(conteudoAlt);
  });

  return (
    <Container contraste={contrasteValue}>
      <Box className="contentSlide">
        <Box className="contentBox">
          <Box className="button prev">
            {exibirContent === 0 ? (
              <RoundButton type="previous" disabled />
            ) : (
              <RoundButton
                type="previous"
                onClick={() => [setPage(page - 1), setExibirContent(page - 1)]}
              />
            )}
          </Box>
          {content[exibirContent].img ? (
            <img
              src={content[exibirContent].img}
              className="img"
              alt={content[exibirContent].alt}
            />
          ) : null}
          <Typography variant="body1">{content[exibirContent].text}</Typography>
          <img alt={alt} />
          <Box className="button next">
            {exibirContent === objectSize ? (
              <RoundButton type="next" disabled />
            ) : (
              <RoundButton
                type="next"
                onClick={() => [setPage(page + 1), setExibirContent(page + 1)]}
              />
            )}
          </Box>
        </Box>
      </Box>
    </Container>
  );
}
