import React from 'react';
import { Box, Typography } from '@material-ui/core';
import { ContainerTabBox } from './styles';
import { useSelector } from 'react-redux';

function TabBox(props) {
  const contrasteValue = useSelector((state) => state.contraste);
  const {
    content,
    borderColor,
    backgroundColor,
    textColor,
    tabBackgroundColor,
    tabTextColor,
    activeTabColor
  } = props;

  const [currentContent, setCurrentContent] = React.useState(0);
  return (
    <ContainerTabBox
      contraste={contrasteValue}
      borderColor={borderColor}
      backgroundColor={backgroundColor}
      textColor={textColor}
      tabBackgroundColor={tabBackgroundColor}
      tabTextColor={tabTextColor}
      activeTabColor={activeTabColor}
    >
      <Box className='tabs'>
        {content &&
          content.map((item, index) => {
            return (
              <Typography
                key={index}
                variant='body1'
                className={`tab ${index === currentContent && 'ativo'} noRead`}
                onClick={() => setCurrentContent(index)}
              >
                {index + 1}
              </Typography>
            );
          })}
      </Box>
      <Typography variant='body1' className='box-content noRead'>
        {content[currentContent]}
      </Typography>
      {/* //conteudo abaixo para o leitor de tela */}
      {content &&
        content.map((item) => {
          return (
            <p key={item} className='leitor'>
              {item}
            </p>
          );
        })}
    </ContainerTabBox>
  );
}

export default TabBox;
