import styled from 'styled-components';

export const ContainerTabBox = styled.div`
  width: 100%;
  height: 100%;
  position: relative;
  display: flex;

  .tabs {
    display: flex;
    flex-direction: column;
    padding: 1rem 0;
    align-self: center;
  }
  .tab {
    background-color: ${(props) =>
      props.contraste
        ? props.theme.palette.white.components
        : props.tabBackgroundColor
        ? props.tabBackgroundColor
        : props.theme.palette.white.components};
    color: ${(props) =>
      props.contraste
        ? props.theme.palette.black.white
        : props.tabTextColor
        ? props.tabTextColor
        : props.theme.palette.black.white};
    width: 45px;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 5px 0 0 5px;
    box-shadow: none;
    transition: all 0.5s;
    cursor: pointer;
    @media (max-height: 682px) and (min-width: 1000px) {
      height: 30px;
      width: 30px;
    }
  }
  .tab:not(:last-child) {
    margin-bottom: 0.5rem;
  }

  .box-content {
    background: ${(props) =>
      props.contraste
        ? props.theme.palette.black.white
        : props.backgroundColor
        ? props.backgroundColor
        : props.theme.palette.black.white};
    border: solid 2px
      ${(props) =>
        props.contraste
          ? props.theme.palette.white.components
          : props.borderColor
          ? props.borderColor
          : props.theme.palette.white.components};
    width: 100%;
    border-radius: 5px;
    padding: 2rem;
    display: flex;
    align-items: center;
    height: 25vh;
    transition: min-height 1s ease-out;
    color: ${(props) =>
      props.contraste
        ? props.theme.palette.white.black
        : props.textColor
        ? props.textColor
        : props.theme.palette.white.black};
    @media (min-width: 1000px) {
      height: 34vh;
    }
    @media (min-width: 1600px) {
      height: 26vh;
    }
    @media (min-width: 2100px) {
      height: 20vh;
    }
  }
  .tab:hover,
  .ativo {
    background-color: ${(props) =>
      props.contraste
        ? props.theme.palette.white.componentsHover
        : props.activeTabColor
        ? props.activeTabColor
        : props.theme.palette.white.componentsHover};
    box-shadow: 0 5px 5px rgba(0, 0, 0, 0.15);
  }

  @media (max-width: 900px) {
    flex-direction: column;
    .tabs {
      flex-direction: row;
      padding: 0;
    }
    .tab {
      border-radius: 5px 5px 0 0;
    }
    .tab:not(:last-child) {
      margin-right: 0.5rem;
      margin-bottom: 0;
    }
    .box-content {
      height: auto;
    }
    .tab:hover,
    .ativo {
      box-shadow: 5px 0px 5px rgba(0, 0, 0, 0.15);
    }
  }
  // abaixo para o leitor de tela
  .leitor {
    display: none;
  }
`;
