import styled from 'styled-components';
import { Box } from '@material-ui/core';

import {
  animationstyles,
  containerstyles,
  contentstyles,
  fontstyles,
} from '../../theme/commonstyles';

export const TimeLineContainer = styled(Box)`
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  .text {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    margin-bottom: 1rem;
    margin-right: 0.5rem;
    padding: 2rem 1rem;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    border-radius: 1rem;
    border: ${(props) =>
      props.contraste
        ? `2px solid ${props.theme.palette.white.white}`
        : 'none'};

    p {
      animation: fadeup 150ms;
    }

    @media (min-width: 900px) {
      margin-right: 0;
      margin-bottom: 0;
    }
  }

  .buttons {
    display: flex;
    align-items: stretch;
    margin-bottom: 1rem;
    flex-direction: column;

    @media (min-width: 900px) {
      flex-direction: row;
    }

    button {
      flex-grow: 1;
    }
  }
  .leitor {
    display: none;
  }
`;
