import React, { useEffect, useState } from 'react';
import { Box } from '@material-ui/core';
import { useSelector } from 'react-redux';
import { Legenda } from './styles';

export default function (props) {
  const contrasteValue = useSelector((state) => state.contraste);
  const [exibirLegenda, setExibirLegenda] = useState(false);
  const [bool, setBool] = useState(false);

  function handleKeyboardH(event) {
    if (event.key === 'h') {
      setExibirLegenda(!exibirLegenda);
      window.removeEventListener('keydown', handleKeyboardH);
      setBool(!bool);
    }
  }

  useEffect(() => {
    if (window.innerWidth >= 900) {
      window.addEventListener('keydown', handleKeyboardH);
    }
  }, [bool]);

  return (
    <Box>
      {exibirLegenda ? (
        <Legenda contraste={contrasteValue}>
          <Box>
            <span>h</span>
            <p>Abre este tutorial de atalhos</p>
          </Box>
          <Box>
            <span>⇨</span>
            <p>Próxima página</p>
          </Box>
          <Box>
            <span>⇦</span>
            <p>Página anterior</p>
          </Box>
          <Box>
            <span>⇩</span>
            <p>Retornar ao menu</p>
          </Box>
          <Box>
            <span>-</span>
            <p>Diminui a fonte</p>
          </Box>
          <Box>
            <span>= ou +</span>
            <p>Aumenta a fonte</p>
          </Box>
        </Legenda>
      ) : (
        <></>
      )}
    </Box>
  );
}
