import React from 'react';
import ReactDOM from 'react-dom';
import App from './core/App';
import { Provider } from 'react-redux';
import store from '../src/store';
import { QuestionsContextProvider } from './components/QuestionsSystem/contexts/QuestionsContext';

ReactDOM.render(
  <Provider store={store}>
    <QuestionsContextProvider totalQuestions={2}>
      <App />
    </QuestionsContextProvider>
  </Provider>,
  document.getElementById('root')
);
