import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import { Content } from "./styles";
import OBJETIVO from "./../../assets/images/OBJETIVO.png";
import Attention from "./../../components/Attention";
export default function () {
  const [refNumber, setRefNumber] = useState(0);
  const [openDrawer, setOpenDrawer] = useState(false);

  const handleOpenDrawer = (value) => {
    setRefNumber(value);
    setOpenDrawer(!openDrawer);
  };

  return (
    <DefaultPage
      title="Apresentação"
      refNumber={refNumber}
      openDrawer={openDrawer}
      next="/_2"
      replay="/"
      titleCenter
    >
      <Content>
        <Box className="text">
          <Typography variant="body1" paragraph="true">
            Olá, aluna(o)!
          </Typography>
          <Typography variant="body1" paragraph="true">
            Apesar de a hipertensão arterial ser uma doença comum, ainda são
            muitas as pessoas que não foram adequadamente diagnosticadas. O dia
            a dia na Atenção Primária oferece uma boa oportunidade para
            investigar se o paciente possui alguns dos sintomas mais frequentes.
          </Typography>
          <Typography variant="body1" paragraph="true">
            <strong>
              Você sabe como realizar o diagnóstico da pressão arterial? Quais
              cuidados devem ser tomados antes da aferição?
            </strong>
          </Typography>
          <Typography variant="body1" paragraph="true">
            Neste recurso, você irá entender a técnica de aferição da pressão
            arterial, sua classificação, o fluxo de atendimento e situações
            condições resultantes da pressão arterial inadequada. Além disso,
            também são discutidas a importância da anamnese e do exame físico e
            as medidas de promoção e prevenção.
          </Typography>
          <Typography variant="body1" paragraph="true">
            Bons estudos!
          </Typography>
        </Box>
        <Attention image={OBJETIVO} title="OBJETIVO">
          Ao final da leitura deste infográfico, você será capaz de entender o
          processo de diagnóstico da hipertensão arterial e os fluxos de
          atendimento com classificação de risco/vulnerabilidades dos pacientes
          hipertensos.
        </Attention>
      </Content>
    </DefaultPage>
  );
}
