import styled from "styled-components";
import { Box } from "@material-ui/core";

export const Content = styled(Box)`
	.text {
		color: ${(props) => props.theme.palette.white.black} !important;
		display: flex;
		flex-direction: column;
		@media (min-width: 900px) {
			margin-bottom: 0;
		}
	}
	.dialog {
		display: flex;
		justify-content: flex-end;
		margin-bottom: 1rem;
		@media (max-width: 900px) {
			> div {
				position: relative;
				left: 50%;
				transform: translateX(-30%);
			}
		}
	}
	.colored-box {
		border: 1.5px solid ${(props) => props.theme.palette.white.components};
		background: ${(props) => props.theme.palette.black.components};
		color: ${(props) => props.theme.palette.white.white};
	}

	.left {
		@media (min-width: 900px) {
			padding: 2rem;
			width: 80% !important;
		}
	}
`;

export const StyledSection = styled(Box)`
	display: flex;
	flex: 1;
	align-items: center;
	flex-direction: column;
	@media (min-width: 900px) {
		flex-direction: row;
	}
`;

export const SectionImage = styled(Box)`
	display: flex;
	flex: 1;
	@media (min-width: 900px) {
		max-width: 25%;
		margin: 0 auto;
	}
`;
