import styled from "styled-components";
import { Box } from "@material-ui/core";

export const Content = styled(Box)`
  .text {
    color: ${(props) => props.theme.palette.white.black} !important;
    display: flex;
    flex-direction: column;
    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }
  .dialog {
    display: flex;
    margin-bottom: 1rem;
    @media (max-width: 900px) {
      > div {
        position: relative;
        left: 50%;
        transform: translateX(-30%);
      }
    }
  }
  .colored-border {
    border: 1.5px solid ${(props) => props.theme.palette.white.components};
  }
`;
export const DivGridWrapper = styled(Box)`
  width: 100%;
  display: flex;
  flex-direction: column;
  margin: 10px 0;
  @media (min-width: 900px) {
    width: 50%;
  }
`;

export const DivGrid = styled(Box)`
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  @media (min-width: 760px) {
    flex-direction: row;
    justify-content: center;
  }
  margin-bottom: 16px;
`;

export const Div = styled(Box)`
  max-width: 100%;
  padding: 15px;
  background: ${(props) =>
    props.visited === true
      ? props.theme.palette.black.light
      : props.theme.palette.black.components};
  border: 1.5px solid
    ${(props) =>
      props.visited === true
        ? props.theme.palette.white.light
        : props.theme.palette.grey.components};
  color: white;
  border-radius: 15px;
  font-size: 14px !important;
  text-align: center;
  margin: 10px 0;
  @media (min-width: 760px) {
    max-width: 100% !important;
    margin: 0 10px;
  }
  cursor: pointer;
  transition: all 0.2s linear;
  :hover {
    filter: brightness(0.4);
  }
  ul {
    margin: 0 !important;
    padding: 0 !important;
  }
`;

export const DivTable = styled(Box)`
  display: flex;
  flex: 1;
  flex-direction: column;
  @media (min-width: 900px) {
    flex-direction: row;
  }
`;

export const TableWrapper = styled(Box)`
  width: 100%;
  display: flex;
  flex-direction: column;
  margin: 10px;
  @media (min-width: 900px) {
    width: 50%;
  }
`;
export const TableHeader = styled(Box)`
  width: 100%;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: 1fr;
  border: 1.5px solid ${(props) => props.theme.palette.white.components};
  background: ${(props) => props.theme.palette.black.components};
  color: white;
  margin: 2px 0;
`;
export const TableFooter = styled(Box)`
  width: 100%;
  display: flex;
  border: 1.5px solid ${(props) => props.theme.palette.white.components};
  background: ${(props) => props.theme.palette.black.components};
  color: white !important;
  margin: 2px 0;
`;

export const SectionTable = styled(Box)`
  width: 100%;
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  grid-template-rows: 1fr;
`;

export const SectionInnerTable = styled(Box)`
  padding: 0;
  margin: 0;
  display: grid;
  grid-template-rows: repeat(5, 1fr);
  gap: 0;
`;

export const TableElement = styled(Box)`
  padding: 6px;
  margin: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1.5px solid ${(props) => props.theme.palette.white.components};
  background: ${(props) =>
    props.elem === "Anos" ||
    props.elem === "Homens" ||
    props.elem === "Mulheres"
      ? props.theme.palette.black.components
      : props.theme.palette.black.gridColor};
  color: ${(props) =>
    props.elem === "Anos" ||
    props.elem === "Homens" ||
    props.elem === "Mulheres"
      ? props.theme.palette.white.white
      : props.theme.palette.white.black};
  font-weight: bold;
`;
