import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import { Content, StyledSection, SectionImage, TextWrapper } from "./styles";

import IMG from "./../../assets/images/Pg-5-Img-1.png";
import Reference from "../../components/Reference";

export default function () {
  const [refNumber, setRefNumber] = useState(0);
  const [openDrawer, setOpenDrawer] = useState(false);

  const handleOpenDrawer = (value) => {
    setRefNumber(value);
    setOpenDrawer(!openDrawer);
  };

  return (
    <DefaultPage
      title="Dor torácica anginosa"
      refNumber={refNumber}
      openDrawer={openDrawer}
      prev="_11"
      next="/_13"
      replay="/"
      titleCenter
    >
      <Content>
        <Box className="text">
          <Typography variant="body1" paragraph="true">
            Tendo conhecimento dessa classificação e da correlação entre a dor e
            a probabilidade de apresentar doença coronária, é possível observar
            que Marilene tinha um quadro de angina típica: retroesternal,
            desencadeada pelo esforço e aliviada em repouso. É possível
            verificar que ela, aos 58 anos, tem 79% de chance de desenvolver
            doença coronariana, uma alta probabilidade! Temos, então, uma outra
            condição que configura lesão de órgão-alvo no quadro de Hipertensão
            Arterial Sistêmica
            <Reference
              num="1"
              onClick={() => {
                handleOpenDrawer(1);
              }}
            />
            .
          </Typography>
        </Box>

        <StyledSection>
          <SectionImage>
            <img alt="" className="img-fluid" src={IMG} />
          </SectionImage>
          <TextWrapper>
            <Typography variant="body1" className="text">
              Ufa! Quanta coisa tivemos que lembrar para entender melhor o caso
              de dona Marilene! Mas agora não restam dúvidas: ela tem um quadro
              de elevação significativa de hipertensão arterial, com pressão
              diastólica igual a 120 mmHg, com antecedente de lesão de
              órgão-alvo prévia (coração), que foi evidenciado pela história
              clínica e pelo exame físico da usuária. Apesar de ela desconhecer
              esses diagnósticos, trata-se de uma urgência hipertensiva com
              necessidade de avaliação e estratificação de risco para Doença
              Arterial Coronariana (DAC) e manejo clínico da Insuficiência
              Cardíaca. Marilene precisa que seja feita na Atenção Primária uma
              abordagem ampla, considerando estilo de vida, sedentarismo,
              alimentação, adesão ao tratamento e outros fatores.
            </Typography>
          </TextWrapper>
        </StyledSection>
      </Content>
    </DefaultPage>
  );
}
