import styled from "styled-components";
import { Box } from "@material-ui/core";

export const Content = styled(Box)`
  .text {
    color: ${(props) => props.theme.palette.white.black} !important;
    display: flex;
    flex-direction: column;
    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }
  .dialog {
    display: flex;
    margin-bottom: 1rem;
    @media (max-width: 900px) {
      > div {
        position: relative;
        left: 50%;
        transform: translateX(-30%);
      }
    }
  }

  .left {
    @media (min-width: 900px) {
      padding: 2rem;
      width: 55% !important;
    }
  }
`;

export const StyledSection = styled(Box)`
  width: 100%;
  height: auto;
  display: flex;
  align-items: center;
  flex-direction: column;
  @media (min-width: 900px) {
    flex-direction: row;
  }
  border: 1.5px solid ${(props) => props.theme.palette.white.components};
  border-radius: 15px;
  padding: 15px;
`;

export const SectionImage = styled(Box)`
  display: flex;
  width: 100%;
  @media (min-width: 900px) {
    width: 25%;
    margin: 0 auto;
  }
`;

export const TextWrapper = styled(Box)`
  width: 100%;
  padding: 1rem;
  @media (min-width: 900px) {
    width: 90%;
  }
`;
