import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import { Content } from "./styles";
import Slide from "../../components/Slide";
import IMG_SLIDE1 from "./../../assets/images/Pg-15-Img-1.png";
import IMG_SLIDE2 from "./../../assets/images/Pg-15-Img-2.png";
import IMG_SLIDE3 from "./../../assets/images/Pg-15-Img-3.png";
import IMG_SLIDE4 from "./../../assets/images/Pg-15-Img-4.png";
export default function () {
  const [refNumber, setRefNumber] = useState(0);
  const [openDrawer, setOpenDrawer] = useState(false);

  const handleOpenDrawer = (value) => {
    setRefNumber(value);
    setOpenDrawer(!openDrawer);
  };

  const slideContent = [
    {
      img: IMG_SLIDE1,
      text: "Marilene, a princípio, estava apenas acompanhando seu neto em uma consulta, mas o valor da pressão arterial despertou um alerta para o enfermeiro Carlos. Diante desses diagnósticos, torna-se importante a redução da pressão arterial em até 24 horas, através do uso de medicação oral.",
    },
    {
      img: IMG_SLIDE2,
      text: "Na maioria dos casos, não é necessário controle da pressão arterial no momento da consulta. Pelo contrário, uma terapia anti-hipertensiva rápida e agressiva pode levar à isquemia cerebral ou miocárdica ou à injúria renal aguda, caso os níveis de pressão caiam abaixo do limite da autorregulação da perfusão desses órgãos.",
    },
    {
      img: IMG_SLIDE3,
      text: "Em pacientes que já tenham um diagnóstico de hipertensão, devem ser retomadas as medicações e reforçadas a importância da adesão terapêutica, ou mesmo realizados ajustes no tratamento, lembrados os cuidados com a alimentação e atividade física.",
    },
    {
      img: IMG_SLIDE4,
      text: "Em pessoas sem diagnóstico prévio, como no caso de dona Marilene, pode-se iniciar o cuidado em saúde no momento do atendimento, marcando retorno para acompanhamento. É importante atentar que Marilene apresenta um alto risco cardiovascular, apesar de não ter diagnóstico prévio.",
    },
  ];

  return (
    <DefaultPage
      title="Dor torácica angionosa"
      refNumber={refNumber}
      openDrawer={openDrawer}
      next="/_14"
      prev="/_12"
      replay="/"
      titleCenter
    >
      <Content>
        <Box className="text">
          <Typography variant="body1" paragraph="true">
            Você percebe a importância de uma anamnese e um exame físico bem
            feitos? <strong>Clique</strong> nas setas abaixo para conhecer um
            pouco mais da história da Marilene:
          </Typography>
        </Box>
        <Slide content={slideContent} />
      </Content>
    </DefaultPage>
  );
}
