import styled from "styled-components";
import { Box } from "@material-ui/core";

export const Content = styled(Box)`
  .text {
    color: ${(props) => props.theme.palette.white.black} !important;
    display: flex;
    flex-direction: column;
    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }
  .dialog {
    display: flex;
    margin-bottom: 1rem;
    @media (max-width: 900px) {
      > div {
        position: relative;
        left: 50%;
        transform: translateX(-30%);
      }
    }
  }
  .colored-box {
    border: 1.5px solid ${(props) => props.theme.palette.white.light};
  }
`;

export const DivGrid = styled(Box)`
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  @media (min-width: 760px) {
    flex-direction: row;
    justify-content: flex-start;
  }
  margin-bottom: 16px;
`;

export const Div = styled(Box)`
  max-width: 100%;
  height: auto;
  padding: 12px;
  background: ${(props) =>
    props.visited === true
      ? props.theme.palette.black.light
      : props.theme.palette.black.components};
  border: 1.5px solid
    ${(props) =>
      props.visited === true
        ? props.theme.palette.white.light
        : props.theme.palette.grey.components};
  color: white;
  font-weight: bolder;
  border-radius: 15px;
  @media (min-width: 760px) {
    width: 23% !important;
    margin: 0 10px;
  }
  cursor: pointer;
  transition: all 0.2s linear;
  :hover {
    filter: brightness(0.4);
  }
`;
