import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import { Content, Text, Section } from "./styles";
import Reference from "../../components/Reference";
import IMG from "./../../assets/images/Pg-18-Img-1.png";
import { NewZoom } from "../../components/NewZoom/index";
export default function () {
	const [refNumber, setRefNumber] = useState(0);
	const [openDrawer, setOpenDrawer] = useState(false);

	const handleOpenDrawer = (value) => {
		setRefNumber(value);
		setOpenDrawer(!openDrawer);
	};

	return (
		<DefaultPage
			title="Identificação da relação com o trabalho do usuário e medidas de promoção e prevenção"
			refNumber={refNumber}
			openDrawer={openDrawer}
			prev="/_15"
			next="/_17"
			replay="/"
			titleCenter
		>
			<Content>
				<Box className="text">
					<Typography variant="body1" paragraph="true">
						O caso da Dona Marilene nos faz pensar: será que algo poderia ter
						sido feito para evitar que ela já chegasse para atendimento nesse
						ponto de evolução do quadro de hipertensão? Nós já vimos aqui que a
						Hipertensão Arterial Sistêmica é considerada uma condição sensível à
						atenção primária
						<Reference
							num="14,"
							onClick={() => {
								handleOpenDrawer(14);
							}}
						/>
						<Reference
							num="15"
							onClick={() => {
								handleOpenDrawer(15);
							}}
						/>
						. Que ações poderiam ter sido tomadas como prevenção primária e
						secundária?
					</Typography>
				</Box>
				<Section>
					<Text>
						<Typography variant="body1">
							Prevenção primária é aquela que se dá antes da doença ocorrer.
							Prevenção secundária é a realização do diagnóstico precoce da
							doença, antes do desenvolvimento de sintomas. Prevenção terciária
							é a reabilitação, ou prevenção de complicações
							<Reference
								num="16, "
								onClick={() => {
									handleOpenDrawer(16);
								}}
								alternative
							/>
							<Reference
								num="17"
								onClick={() => {
									handleOpenDrawer(17);
								}}
								alternative
							/>
							. <strong>Clique</strong> na imagem ao lado para ter uma melhor
							visualização do fluxograma apresentado:
						</Typography>
					</Text>
					<NewZoom
						zoom={IMG}
						zoomWidth="80vw"
						zoomHeight="80vh"
						zoomMobileHeight="20vh"
						zoomMobileWidth="95vw"
						MinZoomedImage2
					/>
				</Section>
			</Content>
		</DefaultPage>
	);
}
