import styled from "styled-components";
import { Box } from "@material-ui/core";

export const Content = styled(Box)`
  .text {
    color: ${(props) => props.theme.palette.white.black} !important;
    display: flex;
    flex-direction: column;
    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }
  .dialog {
    display: flex;
    margin-bottom: 1rem;
    @media (max-width: 900px) {
      > div {
        position: relative;
        left: 50%;
        transform: translateX(-30%);
      }
    }
  }
`;

export const Section = styled(Box)`
  display: flex;
  flex: 1;
  flex-direction: column;
  @media (min-width: 900px) {
    flex-direction: row;
    justify-content: center;
  }
  img{
    max-width: 90%;
  }
`;

export const Text = styled(Box)`
  display: flex;
  border-radius: 15px;
  background: ${(props) => props.theme.palette.black.components};
  border: 1.5px solid ${(props) => props.theme.palette.white.components};
  color: white !important;
  padding: 12px;
  margin: auto 16px;
  @media (min-width: 900px) {
    width: 85% !important;
    flex-direction: row;
    justify-content: center;
  }
`;
