import styled from "styled-components";
import { Box } from "@material-ui/core";

export const Content = styled(Box)`
  .text {
    color: ${(props) => props.theme.palette.white.black} !important;
    display: flex;
    flex-direction: column;
    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }
  .dialog {
    display: flex;
    margin-bottom: 1rem;
    @media (max-width: 900px) {
      > div {
        position: relative;
        left: 50%;
        transform: translateX(-30%);
      }
    }
  }
`;

export const NumberSection = styled(Box)`
  width: 100%;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 0.3fr 1fr;
  row-gap: 5px;
  @media (min-width: 760px) {
    width: 89%;
    grid-template-columns: auto 7fr;
    grid-template-rows: auto;
    column-gap: 5px;
    row-gap: 0;
    margin: 1rem auto;
  }
`;

export const Numbers = styled(Box)`
  display: flex;
  flex: 1;
  flex-direction: row;
  @media (min-width: 760px) {
    flex-direction: column;
  }
`;

export const Number = styled(Box)`
  display: flex;
  justify-content: center;
  align-items: center;
  width: 64px;
  height: 64px;
  border-radius: 50%;
  background: ${(props) =>
    props.visited === true
      ? props.theme.palette.black.light
      : props.theme.palette.black.components};
  border: 1.5px solid
    ${(props) =>
      props.visited === true
        ? props.theme.palette.white.light
        : props.theme.palette.grey.components};
  margin: 5px;
  color: white;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
  :hover {
    filter: brightness(0.5);
  }
  @media (min-width: 760px) {
    width: 35px;
    height: 35px;
  }
  @media(min-width: 1100px) and (max-height: 600px){
      width: 22px;
      height: 22px;
  }
`;

export const TargetText = styled(Box)`
  position: relative;
  width: 100%;
  height: auto;
  padding: 1rem;
  border-radius: 15px;
  background: ${(props) => props.theme.palette.black.components};
  border: 1.5px solid ${(props) => props.theme.palette.white.components};
  color: white !important;
  display: flex;
  align-items: center;
`;
