import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import { Content } from "./styles";
import Slide from "../../components/Slide";
import IMG_SLIDE1 from "./../../assets/images/Pg-20-Img-1.png";
import IMG_SLIDE2 from "./../../assets/images/Pg-20-Img-2.png";
import IMG_SLIDE3 from "./../../assets/images/Pg-20-Img-3.png";
import Reference from "../../components/Reference";
export default function () {
	const [refNumber, setRefNumber] = useState(0);
	const [openDrawer, setOpenDrawer] = useState(false);

	const handleOpenDrawer = (value) => {
		setRefNumber(value);
		setOpenDrawer(!openDrawer);
	};

	const slideContent = [
		{
			img: IMG_SLIDE1,
			text: (
				<>
					Marilene trabalha à noite para sustentar a família e na folga pela
					manhã trabalha cuidando de seu neto. Além de o trabalho estar
					relacionado com uma menor disponibilidade de tempo para a realização
					de atividade física, lazer e comparecimento em consultas periódicas
					para acompanhamento de condições de saúde, estudos apontam que a
					exposição a fatores ocupacionais atua como fator de risco independente
					para o desenvolvimento de hipertensão. Algumas pesquisas associam o
					aumento dos níveis pressóricos a ruídos, trabalho em turnos, exposição
					a agentes químicos e estresse no ambiente de trabalho
					<Reference
						num="2, "
						onClick={() => {
							handleOpenDrawer(2);
						}}
					/>
					<Reference
						num="20"
						onClick={() => {
							handleOpenDrawer(20);
						}}
					/>
					.
				</>
			),
		},
		{
			img: IMG_SLIDE2,
			text: "Um erro extremamente comum nas consultas é culpar os usuários por seus hábitos de vida não saudáveis e prescrever de forma autoritária modificações que muitas vezes são inatingíveis em um determinado contexto. É importante que a dificuldade de adesão seja encarada não como “rebeldia do paciente”, mas como desafio a ser compreendido pelos profissionais de saúde e pela pessoa envolvida.",
		},
		{
			img: IMG_SLIDE3,
			text: "As orientações nas consultas individuais devem levar em consideração a singularidade do usuário: a compreensão sobre o problema e as condições familiares,  socioeconômicas e culturais para a construção conjunta de um plano terapêutico. Diante de um caso suspeito de hipertensão, é importante estabelecer uma comunicação efetiva sobre o problema, esclarecer dúvidas, desmedicalizar e planejar a realização de medidas seriadas da pressão arterial.",
		},
	];

	return (
		<DefaultPage
			title="Estilo de vida"
			refNumber={refNumber}
			openDrawer={openDrawer}
			next="/_19"
			prev="/_17"
			replay="/"
			titleCenter
		>
			<Content>
				<Box className="text">
					<Typography variant="body1" paragraph="true">
						As mudanças de estilo de vida nem sempre são fáceis de serem
						implementadas individualmente, pois não dependem somente da força de
						vontade de um indivíduo, mas também de seu contexto familiar,
						socioeconômico e cultural favorável. Lembremos do caso de dona
						Marilene(<strong>clique</strong> nas setas abaixo):
					</Typography>
				</Box>
				<Slide content={slideContent} />
			</Content>
		</DefaultPage>
	);
}
