import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import { Content, StyledSection, SectionImage } from "./styles";

import IMG from "./../../assets/images/Pg-21-Img-1.png";
import Reference from "../../components/Reference";

export default function () {
	const [refNumber, setRefNumber] = useState(0);
	const [openDrawer, setOpenDrawer] = useState(false);

	const handleOpenDrawer = (value) => {
		setRefNumber(value);
		setOpenDrawer(!openDrawer);
	};

	return (
		<DefaultPage
			title="Estilo de vida"
			refNumber={refNumber}
			openDrawer={openDrawer}
			prev="_18"
			next="/_20"
			replay="/"
			titleCenter
		>
			<Content>
				<StyledSection>
					<Box className="left" display="flex" flexDirection="column">
						<Typography variant="body1" paragraph="true">
							Tendo em vista que o rótulo de hipertensão é uma doença crônica e
							deve ser tratada por toda a vida, é fundamental realizar uma
							avaliação integral, estabelecer uma relação com vínculo, garantir
							a longitudinalidade do cuidado e o acompanhamento conforme
							avaliação de risco.
						</Typography>
						<Typography variant="body1" paragraph="true">
							É importante lembrar, no entanto, que o cuidado deve sempre ser
							centrado no indivíduo. Naqueles casos em que se percebe uma
							vulnerabilidade durante o atendimento em demanda espontânea, como
							no caso de Marilene, que não costumava buscar atendimento na
							unidade de saúde da APS e que já tinha vários episódios de
							aferição de uma pressão arterial elevada, é importante oportunizar
							um atendimento imediato. Conforme já discutimos, o acesso é um
							princípio muito importante no cuidado aos usuários, ser universal,
							resolutivo e levar em conta o princípio da equidade
							<Reference
								num="1,"
								onClick={() => {
									handleOpenDrawer(1);
								}}
							/>
							<Reference
								num="2"
								onClick={() => {
									handleOpenDrawer(2);
								}}
							/>
							.
						</Typography>
					</Box>
					<SectionImage>
						<img alt="" className="img-fluid" src={IMG} />
					</SectionImage>
				</StyledSection>
			</Content>
		</DefaultPage>
	);
}
