import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import { Content } from "./styles";
import Slide from "./../../components/Slide";
import IMG_SLIDE1 from "./../../assets/images/Pg-3-Img-1.png";
import IMG_SLIDE2 from "./../../assets/images/Pg-3-Img-2.png";
import IMG_SLIDE3 from "./../../assets/images/Pg-3-Img-3.png";
import IMG_SLIDE4 from "./../../assets/images/Pg-3-Img4.png";
export default function () {
  const [refNumber, setRefNumber] = useState(0);
  const [openDrawer, setOpenDrawer] = useState(false);

  const handleOpenDrawer = (value) => {
    setRefNumber(value);
    setOpenDrawer(!openDrawer);
  };

  const slideContent = [
    {
      img: IMG_SLIDE1,
      text: "Jonas é médico de uma determinada unidade de saúde da Atenção Primária à Saúde (APS) e Carlos é o enfermeiro da mesma equipe. Em conjunto, esses profissionais discutem o caso de dona Marilene: uma senhora de 58 anos que levou o seu neto em uma consulta e aproveitou o momento para pedir ao enfermeiro que medisse sua pressão arterial.",
    },
    {
      img: IMG_SLIDE2,
      text: "Atendendo ao seu pedido, Carlos realizou o procedimento, o resultado da aferição foi 210x120mmHg, sem outros sintomas naquele momento. Carlos  certificou-se, ao medir a pressão arterial, de que Marilene estava em repouso por no mínimo 10 minutos e tinha tomado café preto havia mais de três horas. Ao ser questionada pelo enfermeiro, ela negou qualquer problema de saúde conhecido, mas lembrou que, em outras ocasiões, anos atrás, outros profissionais de saúde haviam aferido sua pressão, que sempre dava alta.",
    },
    {
      img: IMG_SLIDE3,
      text: "Ela foi orientada a retornar para novas aferições e a marcar um atendimento médico, no entanto, além de trabalhar fora de casa ela também ajudava no cuidado dos netos, portanto, nunca teve tempo para retornar à unidade. De fato, Carlos checou a informação no prontuário e constatou registros em seu prontuário de mais 6 anos atrás.",
    },
    {
      img: IMG_SLIDE4,
      text: "Marilene lembrou também, apenas ao ser questionada, que há alguns meses havia notado que quando fazia esforços maiores, como subir o morro que leva até a sua casa carregando o seu neto, ela sentia bastante falta de ar e uma sensação de queimação no peito, que melhoravam conforme ela parava para descansar. “E assim eu vou, devagar e sempre”, dizia ela.",
    },
  ];

  return (
    <DefaultPage
      title="Definições e diagnóstico de Hipertensão Arterial Sistêmica"
      refNumber={refNumber}
      openDrawer={openDrawer}
      next="/_3"
      prev="/_1"
      replay="/"
      titleCenter
    >
      <Content>
        <Box className="text">
          <Typography variant="body1" paragraph="true">
            Para a exemplificação da hipertensão arterial, vamos conhecer o caso
            da senhora Marilene, de 58 anos de idade, que acompanhava o seu neto
            em consulta médica (<strong>clique</strong> nas setas abaixo):
          </Typography>
        </Box>
        <Slide content={slideContent} />
      </Content>
    </DefaultPage>
  );
}
