import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import Reference from "../../components/Reference";
import { ColoredBox, Content, StyledSection } from "./styles";

const styles = (theme) => ({
	root: {
		margin: 0,
		padding: theme.spacing(2),
	},
	closeButton: {
		position: "absolute",
		right: theme.spacing(1),
		top: theme.spacing(1),
		color: theme.palette.grey[500],
	},
});

export default function () {
	const [refNumber, setRefNumber] = useState(0);
	const [openDrawer, setOpenDrawer] = useState(false);

	const handleOpenDrawer = (value) => {
		setRefNumber(value);
		setOpenDrawer(!openDrawer);
	};

	return (
		<DefaultPage
			title="Atividade formativa"
			refNumber={refNumber}
			openDrawer={openDrawer}
			next="/_Q1"
			prev="/_19"
			replay="/"
			titleCenter
		>
			<Content>
				<Box className="text">
					<Typography variant="body1" paragraph="true">
						Agora que você concluiu o estudo sobre o processo diagnóstico da
						hipertensão arterial sistêmica, teste seus conhecimentos respondendo
						à atividade a seguir.
					</Typography>
				</Box>
				<StyledSection>
					<Box className="d-flex flex-column w-100 w-sm-50 pr-sm-5">
						<ColoredBox>
							<Typography variant="body1" paragraph="true">
								Trata-se de uma atividade formativa, ou seja, ela não soma
								pontos para a sua média no curso, mas contribui
								significativamente para a sua autoavaliação durante esse
								percurso educativo.
							</Typography>
						</ColoredBox>
						<Box className="text">
							<Typography variant="body1">
								Dessa forma, você poderá avaliar que pontos compreendeu com
								clareza e quais precisam de maior atenção e estudo para serem
								assimilados satisfatoriamente. Você tem duas tentativas e os
								feedbacks serão fornecidos automaticamente, após você concluir a
								atividade.
							</Typography>
						</Box>
					</Box>
				</StyledSection>
			</Content>
		</DefaultPage>
	);
}
