import styled from "styled-components";
import { Box } from "@material-ui/core";
import palette from "../../theme/Palette/Light/palette";
import IMG_SECTION from "./../../assets/images/Pg-4-Img-1.png";
import Typography from "@material-ui/core/Typography";
import AppBar from "@material-ui/core/AppBar";
import Dialog from "@material-ui/core/Dialog";
export const Content = styled(Box)`
  .text {
    color: ${(props) => props.theme.palette.white.black} !important;
    display: flex;
    flex-direction: column;
    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }
  .dialog {
    display: flex;
    margin-bottom: 1rem;
    @media (max-width: 900px) {
      > div {
        position: relative;
        left: 50%;
        transform: translateX(-30%);
      }
    }
  }
`;

export const StyledSection = styled(Box)`
  display: flex;
  flex: 1;
  height: auto;
  flex-direction: column;
  align-items: center;
  @media (min-width: 900px) {
    flex-direction: row;
  }
`;

export const ColoredBox = styled(Box)`
  display: flex;
  flex-direction: column;
  max-width: 100%;
  height: auto;
  padding: 1.5rem;
  background: ${(props) => props.theme.palette.black.components};
  border: 1.25px solid ${(props) => props.theme.palette.white.components};
  color: white !important;
  border-radius: 12px;
  margin-bottom: 16px;
`;

export const SectionImage = styled(Box)`
  margin: 0 auto;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 35%;
  background: url(${IMG_SECTION}) no-repeat;
  background-size: 100% 100%;
`;

const BaseBTN = styled(Box)`
  position: absolute;
  padding: 1rem 1.4rem;
  font-weight: bold;
  border-radius: 50%;
  background: ${(props) => props.theme.palette.black.components};
  color: white !important;
  transition: all 0.2s ease-in-out;
  cursor: pointer;
  z-index: 10;
  :hover {
    background: #222263;
  }
`;

export const BTN1 = styled(BaseBTN)`
  top: 12%;
  left: 32%;
  transform: translateX(-34%);
  transform: translateY(-11%);
`;
export const BTN2 = styled(BaseBTN)`
  top: 75%;
  left: 55%;
  transform: translateX(-55%);
  transform: translateY(-75%);
`;
export const BTN3 = styled(BaseBTN)`
  top: 28%;
  left: 88%;
  transform: translateX(-88%);
  transform: translateY(-28%);
`;
