import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import Reference from "./../../components/Reference";
import { Typography, Box } from "@material-ui/core";
import {
	Content,
	SectionText,
	StyledSection,
	SectionImage,
	SectionTable,
	SectionInnerTable,
	TableElement,
} from "./styles";
import OBJETIVO from "./../../assets/images/OBJETIVO.png";
import Attention from "../../components/Attention";
import IMG from "./../../assets/images/Pg-5-Img-1.png";
import IMG2 from "./../../assets/images/tabela.png";
import { column1, column2, column3, column4 } from "./data";
export default function () {
	const [refNumber, setRefNumber] = useState(0);
	const [openDrawer, setOpenDrawer] = useState(false);

	const handleOpenDrawer = (value) => {
		setRefNumber(value);
		setOpenDrawer(!openDrawer);
	};

	return (
		<DefaultPage
			title="Definições e diagnóstico de Hipertensão Arterial Sistêmica"
			refNumber={refNumber}
			openDrawer={openDrawer}
			prev="_3"
			next="/_4_2"
			replay="/"
			titleCenter
		>
			<Content>
				<StyledSection>
					<Box className="left" display="flex" flexDirection="column">
						<SectionText>
							<Typography variant="body1" paragraph="true">
								Dona Marilene já apresentava antecedentes de pressão arterial
								elevada, alguns deles registrados em prontuário, e apresentou
								uma elevação significativa de pressão arterial, que já seria
								classificada como sendo estágio 3, conforme tabela ao lado
								<Reference
									num="1, "
									onClick={() => {
										handleOpenDrawer(1);
									}}
								/>
								{""}
								<Reference
									num="2"
									onClick={() => {
										handleOpenDrawer(2);
									}}
								/>
								:
							</Typography>
						</SectionText>
						<SectionImage>
							<img alt="" className="img-fluid" src={IMG} />
						</SectionImage>
					</Box>
					<SectionTable>
						<img alt="" className="img-fluid" src={IMG2} />
					</SectionTable>
				</StyledSection>
			</Content>
		</DefaultPage>
	);
}
