import styled from "styled-components";
import { Box } from "@material-ui/core";

export const Content = styled(Box)`
  .text {
    color: ${(props) => props.theme.palette.white.black} !important;
    display: flex;
    flex-direction: column;
    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }
  .dialog {
    display: flex;
    margin-bottom: 1rem;
    @media (max-width: 900px) {
      > div {
        position: relative;
        left: 50%;
        transform: translateX(-30%);
      }
    }
  }

  .left {
    @media (min-width: 900px) {
      width: 75% !important;
    }
  }
`;

export const StyledSection = styled(Box)`
  display: flex;
  align-items: center;
  flex-direction: column;
  @media (min-width: 900px) {
    flex-direction: row;
  }
`;

export const SectionText = styled(Box)`
  display: flex;
  flex: 1;
`;

export const SectionImage = styled(Box)`
  display: flex;
  flex: 1;
  @media (min-width: 900px) {
    max-width: 35%;
    margin: 0 auto;
  }
`;

export const SectionTable = styled(Box)`
  display: flex;
  justify-content: center;
  img{
    max-width: 85%;
    @media(max-width: 900px){
      max-width: 100%;
      margin-top: 1rem;
    }
  }
`;



