import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import { Content } from "./styles";
import Reference from "../../components/Reference";
import IMG from "./../../assets/images/Pg-7-Img-1.png";
import { NewZoom } from "../../components/NewZoom/index";
export default function () {
  const [refNumber, setRefNumber] = useState(0);
  const [openDrawer, setOpenDrawer] = useState(false);

  const handleOpenDrawer = (value) => {
    setRefNumber(value);
    setOpenDrawer(!openDrawer);
  };

  return (
    <DefaultPage
      title="Fluxo de atendimento com classificação de risco/vulnerabilidades"
      refNumber={refNumber}
      openDrawer={openDrawer}
      prev="/_4"
      next="/_6"
      replay="/"
      titleCenter
    >
      <Content>
        <Box className="text">
          <Typography variant="body1" paragraph="true">
            Dando continuidade ao caso de dona Marilene, ao constatar que se
            trata de uma paciente hipertensa que apresenta uma elevação da
            pressão arterial durante o atendimento, o enfermeiro fez uma série
            de perguntas, complementadas pelo exame físico, para efetuar a
            classificação de risco/vulnerabilidades daquele atendimento.
            <strong>Clique</strong> na imagem abaixo e confira o fluxograma
            <Reference num="10" onClick={() => handleOpenDrawer(10)} />.
          </Typography>
        </Box>
        <NewZoom
          zoom={IMG}
          zoomWidth="70vw"
          zoomHeight="70vh"
          zoomMobileHeight="20vh"
          zoomMobileWidth="95vw"
        />
      </Content>
    </DefaultPage>
  );
}
