import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import { Content, ImageGrid, Image, ImageAlt } from "./styles";
import Reference from "../../components/Reference";

import Image1 from "./../../assets/images/Pg-8-Img-1.png";
import Image2 from "./../../assets/images/Pg-8-Img-2.png";
import Image3 from "./../../assets/images/Pg-8-Img-3.png";

export default function () {
  const [refNumber, setRefNumber] = useState(0);
  const [openDrawer, setOpenDrawer] = useState(false);

  const handleOpenDrawer = (value) => {
    setRefNumber(value);
    setOpenDrawer(!openDrawer);
  };

  const t_1 = (
    <>
      O enfermeiro Carlos utilizou seus conhecimentos sobre elevações agudas de
      pressão arterial e constatou que dona Marilene não estava com dor
      precordial aguda, dispneia, vômitos persistentes ou dor aguda de forte
      intensidade. Mas, ainda assim, acionou o médico Jonas para avaliá-la no
      mesmo turno por conta do histórico de dor precordial em queimação e
      dispneia desencadeada pelo esforço e com melhora após poucos minutos em
      repouso.
    </>
  );
  const t_2 = (
    <>
      Questionada, a paciente lembrou que nos últimos meses dormia com três
      travesseiros porque quando dormia com um só sentia que “lhe faltava o ar”.
      Vez ou outra, também acordava no meio da noite com uma sensação de que
      “estava se afogando”, e tinha que levantar e abrir a janela do quarto para
      respirar melhor. Suas pernas também vinham edemaciando com frequência.
    </>
  );
  const t_3 = (
    <>
      No exame físico, foram observados:
      <br />
      <ul>
        <li>BEG, lúcida, orientada, corada, hidratada, eupneica;</li>
        <li>
          PA (Pressão Arterial) = 210 x 120 mmHg, P (pulso) = 90 bpm, FR
          (frequência respiratória) = 20 ipm, saturação O2 = 97%;
        </li>
        <li>
          Murmúrios vesiculares presentes simétricos, com estertores crepitantes
          em bases bilateralmente;
        </li>
        <li>Abdome flácido, indolor à palpação;</li>
        <li>Edema +2/+4 em membros inferiores;</li>
        <li>Presença de estase jugular e refluxo hepatojugular positivo.</li>
      </ul>
    </>
  );

  const [text, setText] = useState(t_1);
  const [currentImage, setCImage] = useState([0.3, 1, 1]);
  const handleOpacity = (id) => {
    let aux = currentImage;
    for (let i = 0; i < aux.length; i++) {
      if (i === id) {
        aux[i] = 0.3;
      } else {
        aux[i] = 1;
      }
    }
    setCImage(aux);
  };
  return (
    <DefaultPage
      title="Definições e diagnóstico de Hipertensão Arterial Sistêmica"
      refNumber={refNumber}
      openDrawer={openDrawer}
      prev="/_5"
      next="/_7"
      replay="/"
      titleCenter
    >
      <Content>
        <Box className="text">
          <Typography variant="body1" paragraph="true">
            Observe o prosseguimento do atendimento à Marilene{" "}
            <strong>clicando</strong> nas imagens:
          </Typography>
        </Box>
        <ImageGrid>
          <Image
            alt=""
            src={Image1}
            onClick={() => {
              setText(t_1);
              handleOpacity(0);
            }}
            opacity={currentImage[0]}
          />
          <Image
            alt=""
            src={Image2}
            onClick={() => {
              setText(t_2);
              handleOpacity(1);
            }}
            opacity={currentImage[1]}
          />
          <Image
            alt=""
            src={Image3}
            onClick={() => {
              setText(t_3);
              handleOpacity(2);
            }}
            opacity={currentImage[2]}
          />
        </ImageGrid>
        <Box
          display="flex"
          width="100%"
          borderRadius="15px"
          padding="0.7rem"
          className="colored-box"
          marginBottom="16px"
          color="white !important"
        >
          <Typography variant="body1">{text}</Typography>
        </Box>
      </Content>
    </DefaultPage>
  );
}
