import styled from "styled-components";
import { Box } from "@material-ui/core";

export const Content = styled(Box)`
  .text {
    color: ${(props) => props.theme.palette.white.black} !important;
    display: flex;
    flex-direction: column;
    @media (min-width: 900px) {
      margin-bottom: 0;
    }
  }
  .dialog {
    display: flex;
    margin-bottom: 1rem;
    @media (max-width: 900px) {
      > div {
        position: relative;
        left: 50%;
        transform: translateX(-30%);
      }
    }
  }
  .colored-box {
    background: ${(props) => props.theme.palette.black.components};
    border: 1.5px solid ${(props) => props.theme.palette.white.components};
  }
`;

export const ImageGrid = styled(Box)`
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  @media (min-width: 760px) {
    flex-direction: row;
    justify-content: center;
  }
  margin-bottom: 16px;
`;

export const Image = styled.img`
  max-width: 100%;
  height: auto;
  @media (min-width: 760px) {
    max-width: 13% !important;
    margin: 0 10px;
  }
  opacity: ${(props) => props.opacity} !important;
  cursor: pointer;
  transition: all 0.2s linear;
  :hover {
    filter: brightness(0.8);
  }
`;
export const ImageAlt = styled.img`
  max-width: 100%;
  height: auto;
  @media (min-width: 760px) {
    max-width: 7% !important;
    margin: 0 10px;
  }
  cursor: pointer;
  transition: all 0.2s linear;
  :hover {
    filter: brightness(0.8);
  }
`;
