import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import {
  Content,
  SectionText,
  StyledSection,
  SectionImage,
  SectionTable,
  SectionInnerTable,
  TableElement,
} from "./styles";
import IMG from "./../../assets/images/Pg-10-Img-1.png";
import ContourBox from "../../components/ContourBox";
export default function () {
  const [refNumber, setRefNumber] = useState(0);
  const [openDrawer, setOpenDrawer] = useState(false);

  const handleOpenDrawer = (value) => {
    setRefNumber(value);
    setOpenDrawer(!openDrawer);
  };

  return (
    <DefaultPage
      title="Agora é com você"
      refNumber={refNumber}
      openDrawer={openDrawer}
      prev="_7"
      next="/_9"
      replay="/"
      titleCenter
    >
      <Content>
        <StyledSection>
          <Box
            className="left text"
            display="flex"
            flexDirection="column"
            style={{ gap: "1rem" }}
          >
            <Typography variant="body1">
              Observadas tais condições, em qual dessas situações você acredita
              que melhor se encaixa o caso de dona Marilene?
            </Typography>
            <ContourBox>
              <Typography variant="body1">
                Vamos recordar que, no momento da consulta, ela estava
                assintomática, mas com nível de pressão arterial bastante
                elevada, de 210 x 120 mmHg. Além disso, ela apresentava sinais e
                sintomas sugestivos de lesão de órgão-alvo. Consegue perceber
                quais são?
              </Typography>
            </ContourBox>

            <Typography>
              Se você pensou na dor torácica e nos sinais de congestão, acertou!
              Esses sintomas são sugestivos de problemas cardíacos. Para melhor
              atender Marilene, é importante recordarmos os diagnósticos de
              insuficiência cardíaca e de dor torácica anginosa.
            </Typography>
            <Typography variant="body1">Vamos lá!</Typography>
          </Box>
          <SectionImage>
            <img alt="" className="img-fluid" src={IMG} />
          </SectionImage>
        </StyledSection>
      </Content>
    </DefaultPage>
  );
}
