import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import Accordion from "../../components/Accordion";
import { Content } from "./styles";
import { Box, Typography } from "@material-ui/core";
import Reference from "../../components/Reference";
export default function () {
	const [refNumber, setRefNumber] = useState(0);
	const [openDrawer, setOpenDrawer] = useState(false);

	const handleOpenDrawer = (value) => {
		setRefNumber(value);
		setOpenDrawer(!openDrawer);
	};
	const t_1 = (
		<>
			<ul>
				<li>Dispneia paroxística noturna;</li>
				<li>Turgência jugular a 45 graus;</li>
				<li>Refluxo hepatojugular;</li>
				<li>Estertores pulmonares crepitantes;</li>
				<li>Cardiomegalia ao raio X de tórax;</li>
				<li>Edema pulmonar agudo;</li>
				<li>Galope de terceira bulha.</li>
			</ul>
		</>
	);
	const t_2 = (
		<>
			<ul>
				<li>Edema de tornozelo bilateral;</li>
				<li>Tosse noturna;</li>
				<li>Dispneia aos mínimos esforços;</li>
				<li>Derrame pleural;</li>
				<li>Taquicardia;</li>
			</ul>
		</>
	);

	const content = [
		{
			painel: "1",
			title: "Critérios maiores",
			content: t_1,
		},
		{
			painel: "2",
			title: "Critérios menores",
			content: t_2,
		},
	];

	return (
		<DefaultPage
			title="Insuficiência cardíaca"
			prev="_8"
			next="/_10"
			replay="/"
			titleCenter
			refNumber={refNumber}
			openDrawer={openDrawer}
		>
			<Content>
				<Box display={"flex"} flexDirection="column" flex="1" className="text">
					<Typography variant="body1" className="mb-5">
						A insuficiência cardíaca trata-se de uma síndrome (conjunto de
						sinais de sintomas) que resulta de uma incapacidade do coração de
						manter a perfusão adequada às necessidades metabólicas dos tecidos
						do corpo ou de fazê-lo à custa de elevadas pressões de enchimento,
						levando à congestão, dispneia e limitação funcional.{" "}
						<strong>Clique</strong> na abas abaixo para conhecer os critérios
						diagnósticos de Framingham para insuficiência cardíaca, que são
						úteis por sua alta sensibilidade, principalmente para detectar casos
						de insuficiência cardíaca em que há uma redução da fração de ejeção
						do coração (percentual do sangue que o ventrículo esquerdo consegue
						ejetar para a aorta durante a sístole cardíaca)
						<Reference
							num="12"
							onClick={() => {
								handleOpenDrawer(12);
							}}
						/>
						.
					</Typography>
					<Accordion content={content} />
				</Box>
			</Content>
		</DefaultPage>
	);
}
