import styled from "styled-components";
import { Box } from "@material-ui/core";

export const Content = styled(Box)`
  p {
    font-size: 1.18vw;
    @media (max-width: 900px) {
      font-size: 4vw;
    }
    @media (min-width: 1000px) and (max-width: 1099px) {
      font-size: 1.5vw;
    }
    @media (min-width: 1100px) and (max-height: 550px) {
      font-size: 1vw;
    }
  }
  h5 {
    margin: 0;
  }
  .text {
    display: flex;
    flex-direction: column;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
    padding: 0.5rem;
    border-radius: 10px;
    p {
      margin: 0;
    }
    @media (min-width: 900px) {
      margin-bottom: 0.8rem;
    }
  }
  .dialog {
    max-height: 4rem;
    display: flex;
    justify-content: center;
    margin-bottom: 1rem;
  }
`;

export const Alternative = styled(Box)`
  width: 100%;
  display: flex;
  align-items: center;
  padding: 1rem;
  border-radius: 15px;
  background: ${(props) => props.currentBG} !important;
  color: #fff;
  margin: 0.5rem 0;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
  :hover {
    filter: brightness(0.5);
  }
  * {
    margin: 0 !important;
  }
`;
