import React, { useState } from "react";
import DefaultPage from "../../theme/DefaultPage";
import { Typography, Box } from "@material-ui/core";
import { Content } from "./styles";
import OBJETIVO from "./../../assets/images/OBJETIVO.png";
import Attention from "./../../components/Attention";
export default function () {
  const [refNumber, setRefNumber] = useState(0);
  const [openDrawer, setOpenDrawer] = useState(false);

  const handleOpenDrawer = (value) => {
    setRefNumber(value);
    setOpenDrawer(!openDrawer);
  };

  return (
    <DefaultPage
      title="Considerações finais"
      refNumber={refNumber}
      openDrawer={openDrawer}
      prev="/_Q2"
      replay="/"
      titleCenter
    >
      <Content>
        <Box className="text">
          <Typography variant="body1" paragraph="true">
            Neste recurso, você pôde acompanhar o processo de identificação,
            diagnóstico e orientações para pacientes com pressão arterial
            sistêmica. Por meio da personagem Marilene, foi exemplificada a
            situação de muitos pacientes, que não sabem que possuem a doença e
            que, pela rotina de trabalho e outras atividades, têm dificuldade de
            ir à uma unidade de saúde.
          </Typography>
          <Typography variant="body1" paragraph="true">
            Você relembrou como é realizada a aferição da pressão arterial, os
            cuidados a serem tomados previamente, como manusear o aparelho de
            aferição e reconhecer as informações obtidas, e assim realizar sua
            classificação, e a importância de realizar a anamnese e o exame
            físico, a fim de efetuar a classificação de risco e
            vulnerabilidades. O fluxo de atendimento aponta para os próximos
            passos do profissional, que deve saber como identificar a prioridade
            do paciente.
          </Typography>
          <Typography variant="body1" paragraph="true">
            A elevação inadequada da pressão arterial está relacionada às crises
            hipertensivas, urgências e emergências hipertensivas, pseudocrises
            hipertensivas e à elevação eventual do nível pressórico. Outros
            conceitos recordados foram os de insuficiência cardíaca e de dor
            torácica anginosa.
          </Typography>
          <Typography variant="body1" paragraph="true">
            Uma boa anamnese e exame físico permitiram identificar a doença em
            Marilene e agir para o início de seu tratamento. Espera-se que você
            tenha conseguido compreender o processo de diagnóstico da
            hipertensão arterial e os fluxos de atendimento com classificação de
            risco/vulnerabilidades dos pacientes hipertensos.
          </Typography>
          <Typography variant="body1" paragraph="true">
            Até a próxima!
          </Typography>
        </Box>
      </Content>
    </DefaultPage>
  );
}
