import { createStore } from 'redux';

const INITIAL_STATE = {
  builds: {
    AHO: false,
    CEO: false,
    CER: false,
    COC: false,
    CRA: false,
    URG: false,
    USF: false
  },
  contraste: false
}

function reducer (state = INITIAL_STATE, action) {
  switch (action.type) {
    case 'ADD_BUILD':
      state.builds[action.build.buildName] = action.build.visited
      return state
    case 'RESET':
      for (const b of Object.entries(state.builds)) {
        state.builds[b[0]] = false
      }
      return state
    case 'CONTRASTE':
      return { ...state, contraste: action.value }
    default:
      return state
  }
}

const store = createStore(reducer)

export default store
