import styled from "styled-components";
import { Link } from "react-router-dom";
import { Box } from "@material-ui/core";

import { fontstyles, animationstyles } from "../../theme/commonstyles";

export const StyledContainerCapa = styled(Box)`
  width: 100vw;
  height: 100vh;
  display: flex;
  flex-direction: column;
  overflow: hidden;

  ${(props) =>
    props.wallpaper
      ? `background: url(${props.wallpaper});
  background-size: cover
  background-position: center`
      : props.contraste
      ? `background: ${props.theme.palette.black.black}`
      : " background: rgb(20, 126, 154); background: linear-gradient( 180deg, rgba(20, 126, 154, 1) 0%, rgba(42, 227, 225, 1) 100% );"}

  ${fontstyles};
  ${animationstyles};

  #container {
    flex-grow: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
  }
  .disque {
    img {
      box-sizing: border-box;
      max-width: 100%;
    }
    position: absolute;
    width: 10vw;
    right: 20px;
    top: 20px;
    @media (max-width: 770px) {
      width: 20vw;
    }
    @media (max-width: 500px) {
      width: 30vw;
    }
  }

  #texts {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;

    @media (min-width: 1000px) {
      padding: 0;
    }
  }

  #texts .wrapper {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    @media (min-width: 900px) {
      width: 100%;
      margin: auto;
    }
  }

  #button {
    flex-grow: 1;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  #title {
    span {
      display: none;
    }
  }

  #title,
  #text {
    color: #fff;
  }

  #title {
    margin-bottom: 1rem;
    margin: 2rem 0;
    text-align: center;
  }

  h1,
  h2,
  h3,
  h4,
  h5 {
    font-weight: bolder;
    font-family: opensans;

    @media (min-width: 900px) {
      font-size: 3.5vw;
    }
  }

  p {
    margin-top: 1rem;
    font-family: opensans;
  }
`;

export const Iniciar = styled.button`
  svg {
    fill: ${(props) => props.theme.palette.white.iniciarTexto};
  }
  background: ${(props) => props.theme.palette.black.iniciarBackground};
  border: ${(props) => (props.contraste ? "1px solid #fff" : "none")};
  border-radius: 200px;
  width: 14rem;
  height: 3.5rem;
  margin: 20px 0;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  animation: slide backwards;
  animation-duration: 500ms;
  animation-delay: 400ms;

  box-shadow: 2px 2px 5px 0px rgba(0, 0, 0, 0.3), 0 1px 2px rgba(0, 0, 0, 0.24);
  transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);

  @media (min-width: 900px) {
    width: 30vh;
    height: 8vh;
  }

  &:hover {
    background: ${(props) => props.theme.palette.black.iniciarBackgroundHover};
    transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
    box-shadow: 14px 14px 28px rgba(0, 0, 0, 0.25),
      0 8px 8px rgba(0, 0, 0, 0.22);
    transform: scale(1.1);
  }
  :focus {
    outline: 3px dotted rgba(0, 0, 0, 0.24);
    outline-offset: 10px;
  }

  img {
    width: 100%;
  }
`;
