import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
  containerstyles,
  contentstyles,
  fontstyles,
  conteudointerno,
} from "../../theme/commonstyles";

export const StyledContainerPage = styled(Box)`
  ${containerstyles};
  ${fontstyles};
  ${(props) => (props.conteudoInterno ? conteudointerno : "")}
`;

export const ContentPage = styled(Box)`
  img {
    max-width: 100%;
    object-fit: scale-down;
  }

  h1, h2, h3, h4, h5 {
    font-weight: bolder;
  }
  .titleCenter {
    text-align: center;
  }

  flex-grow: 1;
  display: block;
  overflow-x: hidden;
  @media (min-width: 900px) {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
  }

  ${contentstyles};

  .contentPage {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
  }
`;
